LibreOffice: XPanels Interface Reference

LibreOffice LibreOffice 24.8 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Member Functions | List of all members
XPanels Interface Reference

provides access to Panels of a Deck. More...

`import <XPanels.idl;`

Inheritance diagram for XPanels:

## Exported Interfaces
interface | com::sun::star::container::XIndexAccess
| returned ANYs are actually of type com::sun::star::ui::XPanel
interface | com::sun::star::container::XNameAccess

## Public Member Functions
string | getDeckId ()
| The deck Id that contains the Panels.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)

## Detailed Description

provides access to Panels of a Deck.

Since
  LibreOffice 5.1

## Exported Interfaces

## ◆ com::sun::star::container::XIndexAccess

interface com::sun::star::container::XIndexAccess

returned ANYs are actually of type com::sun::star::ui::XPanel

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

## Member Function Documentation

## ◆ getDeckId()

string getDeckId | ( |  | ) |

The deck Id that contains the Panels.

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XPanels.idl